ECHO OFF
IF "%1"=="" goto help
IM /VL /N %2 %3 %4 /P%1
IF ERRORLEVEL 128 GOTO FAILURE
IF ERRORLEVEL 64 GOTO VIRUS
IF NOT ERRORLEVEL 24 GOTO DONE
ECHO IM found a possible problem
GOTO DONE
:Help
ECHO ÿ
ECHO The syntax is "IMSCAN C:\dir"
ECHO   where c: is the disk you wish to scan, and \dir is the optional directory
ECHO ÿ
GOTO Exit
:Failure
ECHO IM unable to execute
GOTO EXIT
:VIRUS
ECHO IM found signs of a virus
:DONE
ECHO IM asked to scan %1 and all all lower subdirectories
:Exit
